main()
{
	maps\mp\mp_crossroads_test5_fx::main();
	maps\mp\_load::main();
	
	if ( level.scr_allow_ambient_sounds )
		ambientPlay("ambient_france");

	if ( level.scr_allow_ambient_fog )
		setExpFog(0.00025, 0.32, 0.36, 0.40, 0);

	game["allies"] = "british";
	game["axis"] = "german";
	game["attackers"] = "allies";
	game["defenders"] = "axis";
	game["british_soldiertype"] = "normandy";
	game["german_soldiertype"] = "normandy";

	setcvar("r_glowbloomintensity0", ".25");
	setcvar("r_glowbloomintensity1", ".25");
	setcvar("r_glowskybleedintensity0", ".3");
	
	if(getcvar("g_gametype") == "hq")
	{
		level.radio = [];
		level.radio[0] = spawn("script_model", (994, 2931, 28));
		level.radio[0].angles = (0, 81.8, 0);
	
		level.radio[1] = spawn("script_model", (2338, 3004, -73));
		level.radio[1].angles = (0, 225, 0);
		
		level.radio[2] = spawn("script_model", (-936, 2090, -104));
		level.radio[2].angles = (0, 225, 0);

		level.radio[3] = spawn("script_model", (985, 1063, -120));
		level.radio[3].angles = (0, 225, 0);

		level.radio[4] = spawn("script_model", (-316, 358, -106));
		level.radio[4].angles = (0, 45, 0);		

		level.radio[5] = spawn("script_model", (182, -164, -2));
		level.radio[5].angles = (0, 40, 0);		

		level.radio[6] = spawn("script_model", (2851, 4140, -31));
		level.radio[6].angles = (0, 209, 0);

		level.radio[7] = spawn("script_model", (318, 4150, -44));
		level.radio[7].angles = (0, 270, 0);

		level.radio[8] = spawn("script_model", (1510, 2490, -152));
		level.radio[8].angles = (0, 90, 0);	
	}

	level thread explosion_parts();	// removes scripted parts and leaves building exploded, do not ignore this function
}

explosion_parts()
{
	roof_after02 = getent ("barn_roof_after02", "targetname"); 
	roof_after03 = getent ("barn_roof_after03", "targetname");
	wall01_before = getent ("commtank_wall01_before", "targetname"); 
	wall02_before = getent ("commtank_wall02_before", "targetname"); 

	roof_after02 delete();
	roof_after03 delete();
	wall01_before delete();
	wall02_before delete();
}

